# updated endpoints as of 2021-08-05
API_PATHS = {
    # clans: Access clan specific information
    "retrieve_clan_war_log": "/clans/{clanTag}/warlog",
    "search_clans": "/clans",
    "retrieve_clan_river_race_log": "/clans/{clanTag}/riverracelog",
    "retrieve_current_clan_war": "/clans/{clanTag}/currentwar",
    "get_clan_information": "/clans/{clanTag}",
    "list_clan_members": "/clans/{clanTag}/members",
    "retrieve_current_clan_river_race": "/clans/{clanTag}/currentriverrace",
    # players: Access player specific information
    "get_player_information": "/players/{playerTag}",
    "get_upcoming_player_chests": "/players/{playerTag}/upcomingchests",
    "get_player_battle_log": "/players/{playerTag}/battlelog",
    # cards: Access card information
    "get_available_cards": "/cards",
    # tournaments: Access tournament information
    "search_tournaments": "/tournaments",
    "get_tournament_information": "/tournaments/{tournamentTag}",
    # locations: Access global and local rankings
    "clan_ranking_for_specific_location": "/locations/{locationId}/rankings/clans",
    "player_ranking_for_specific_location": "/locations/{locationId}/rankings/players",
    "clan_war_ranking_for_specific_location": "/locations/{locationId}/rankings/clanwars",
    "top_player_league_season": "/locations/global/seasons/{seasonId}",
    "top_player_ranking_for_a_season": "/locations/global/seasons/{seasonId}/rankings/players",
    "list_of_top_player_league_seasons": "/locations/global/seasons",
    "list_locations": "/locations",
    "location_information": "/locations/{locationId}",
    "global_tournament_rankings": "/locations/global/rankings/tournaments/{tournamentTag}",
    # globaltournaments
    "list_of_global_tournaments": "/globaltournaments",
}
